Redmine - Defect #12284

Redmine has a slow startup
2012-11-01 05:55 - Allen Wyma

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version:

Description

| was trying to setup so Redmine would go over a socket connection using unicorn and nginx, but it always timed out. | increased the
timeout to 300 seconds on Unicorn and moved the connection over to port 3000. It finally connects and goes rather quickly after the
first request, but it seems that the first request does take some time to load up.

Right now, my solution is to keep port 3000 open, when | first restart the server, | have to hit it over port 3000, wait for about 2-5
minutes (didn't time how long it takes) and after it finally works, then hit it over https afterwards and it works fine.

Can we look into how the start time is so slow and why and make it speed up? | woudIn't mind if nginx would let you set the proxy
timeout past 120s, but that isn't possible.

History

#1 - 2012-11-01 05:56 - Allen Wyma
BTW, | forgot to say, you can see this happen with WEBrick, too when you run it over production mode. So, it's not a unicorn only problem. I've tested
iton 12.04.1 LTS and 11.10 on ubuntu.

#2 - 2012-11-05 14:03 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Redmine starts in a few seconds on my dev or production machines.

#3 - 2012-11-06 01:59 - Allen Wyma

If | can reproduce it, do you want a log and/or video or something? For some strange reason, now on my production server it works right away, before

that it wasn't. But | think | can reproduce it again in a VM if you want.

#4 - 2012-11-08 23:22 - Jean-Philippe Lang

I'm afraid that a video won't help to understand what is going wrong with your setup.

#5 - 2018-11-04 02:31 - Go MAEDA

- Status changed from New to Closed

Please reopen this issue if you still experience the problem with the latest versions of Redmine.
